uses
	sysutils;
var
	l, t, i, j, k, p: longint;
begin
	for t := 44 to 80 do begin
		rewrite(output, inttostr(t));

		l := random(2) + 4;
		j := 1;
		for i := 1 to l do begin
			j := j * 10;
		end;
		if (random(2) = 0) then
			j := 2 * j;
		j := random(j div 2) + j div 2;
		if j mod 2 = 0 then
			j := j + 1;
		if random(5) = 0 then
			j := 200001;

		writeln(erroutput, j);


		p := random(101);

		for k := 1 to j do begin
			if random(100) < p then
				write(0)
			else
				write(1);
		end;
		writeln;
		close(output);
	end;
end.